@Filename: TClr.s
@Part: ADuC7020,ADuC7024,ADuC7026.
@Created: 01/09/2004
@Updated: 28/06/2005
@Author: Barry Broderick
@This file is in beta sampling.

.include        "ADuC7020.equ"
.ARM

@ TClr==========Calling this function clears the T interrupt.
@ C Function prototype: int TClr(int iT, int iClrVal);
@iT:{0,1,2,3}
@iClrVal:{0-0xffff)
@ Description of Function: Sets the TCLRI, an 8bit register. When any value
@                          is written to this register, the T interrupt will be cleared.
@ User interface: 
@   Set iT to desired Timer, 0 to 3
@  Load iClrVal with any value.
@   Call TClr();
@   Returns 1 in r0
@ Side effects: Corrupts r3

.GLOBAL TClr
TClr:
      mov      r3,#0xff0000         @r3 = Z_BASE;
      orr      r3,r3,#0xff000000
      orr      r3,r3,r0,lsl#5       @r3 = r0 << 5;    

      str      r1,[r3,#T0CLRI_OFFSET]    @write r0 into TCLRI
      mov      r0,#1                @Return true
      bx       lr
